<template>
  <button
    class="btn btn-default"
    :disabled="disabled"
    :data-dismiss="dataDismiss"
    :aria-label="ariaLabel"
    @click="$emit('click')"
  >
    <slot name="content" />
  </button>
</template>

<script>
export default {
  name: "ClickButton",
  props: {
    disabled: {
      type: Boolean,
      default: false
    },
    dataDismiss: {
      type: String,
      default: ''
    },
    ariaLabel: {
      type: String,
      default: ''
    },
  },
}
</script>

<style scoped>
.btn-default {
  color: #e65245;
  background-color: #ffffff;
  border-color: #e65245;
  background-image: none;
}

.btn-default:hover {
  color: #ffffff;
  background-color: #e65245;
  border-color: #e65245;
}
</style>